Subject: Re: [RFC] change netdevice to use struct device instead of struct class_device

From: Greg KH <[email-masked]>
Date: Tue, 4 Jul 2006 15:31:01 -0700

On Mon, Jul 03, 2006 at 06:57:47PM -0700, David Miller wrote:
> From: Greg KH <[email-masked]>
> Date: Mon, 3 Jul 2006 16:16:10 -0700
> 
> > No, not really.  According to Documentation/ABI/testing/sysfs-class all
> > code that uses /sys/class/foo/ needs to be able to handle the fact that
> > those entries might be symlinks and not just directories.  Everything
> > that I know of already works properly because the input layer has had
> > symlinks in /sys/class/input for quite some time now.
> > 
> > Do you know of any tools that use /sys/class/net/ that can not handle
> > symlinks there?  I've been running this on my boxes for about a week now
> > with no noticeable issues.  Renaming interfaces works just fine too.
> 
> I do not think this change will cause any problems.

Great, thanks for looking.

Do you mind if I keep this in my tree, due to the dependancies on the
other driver core changes?

thanks,

greg k-h